### Method

# EBookContacts BookIndicesUpdater add

since: 3.50

#### Declaration [src]

    gboolean
    e_book_indices_updater_add (
      EBookIndicesUpdater* self,
      const gchar* uid,
      guint indices_index
    )

#### Description [src]

Notifies the `self` that a new contact with UID `uid` had been added to the set and it occupies the `indices_index` index in the indices. In case the `uid` had been added previously its index is modified instead.

This function can be used only after initial call to e_book_indices_updater_take_indices().

Available since: 3.50

#### Parameters

`uid`

  Type: `const gchar*`

  A UID of a contact.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`indices_index`

  Type: `guint`

  Index to the indices array the contact belongs to.

#### Return value

Type: `gboolean`

Whether the indices changed.